Skip to content

Set the user's department

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Set the user's department through the user ID, and you can choose to specify the user ID type, etc.

Method name

ManagementClient.set_user_departments

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
departments<a SetUserDepartmentDto[]Yes-Department information Array length limit: 50.[{"departmentId":"60b49eb83fd80adb96f26e68","isLeader":true,"isMainDepartment":true}]
userIdstringyes-The unique identifier of the user, which can be user ID, user name, email, phone number, externalId, or ID in the external identity source. For details, see the description of the userIdType field. The default is user id.6229ffaxxxxxxxxcade3e3d9
options<a SetUserDepartmentsOptionsDtono-Optional parameter

Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data Structure

SetUserDepartmentDto

NameTypeIs it requiredDescriptionExample value
departmentIdstringyesdepartment id60b49eb83fd80adb96f26e68
isLeaderbooleannowhether it is the department leadertrue
isMainDepartmentbooleannowhether it is the main departmenttrue

SetUserDepartmentsOptionsDto

| Name | Type | Is it required? | Description | Sample value | | ---------- | ------ | -------------------------------------- | ---------------------------- ... externalId field of GenAuth user information
- identity: user's external identity source information, in the format of <extIdpId>:<userIdInIdp>, where <extIdpId> is the ID of the GenAuth identity source, and <userIdInIdp> is the user's ID in the external identity source.
Example value: 62f20932716fbcc10d966ee5:ou_8bae746eac07cd2564654140d2a9ac61.
- sync_relation: user's external identity source information, in the format of <provier>:<userIdInIdp>, where <provier> is the synchronization identity source type, such as wechatwork, lark; <userIdInIdp> is the user's ID in the external identity source.
Example value: lark:ou_8bae746eac07cd2564654140d2a9ac61.
| user_id |

IsSuccessDto

NameTypeIs it requiredDescriptionExample value
successbooleanyesWhether the operation was successfultrue

Agent infrastructure for identity, memory, and web action.